<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-13 15:12:27
 * 文件不允许修改，自动生成
 */

namespace common\table\new_energy;

use common\table\TableModelBase;
class JdzArea extends TableModelBase{
    public static function tableName()
    {
        return '{{jdz_area}}';
    }
                
    /**
     * ------------ 字段 area_id 
     * ------------ 表字段注释: 
     */
    public function filterByAreaId($val): self
    {
        $this->filterByColumn("area_id", $val);
        return $this;
    }

    public function setAreaId($val): self
    {
        $this->setAttr("area_id", $val);
        return $this;
    }

    public function getAreaId()
    {
        return $this->area_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 area_name 
     * ------------ 表字段注释: 
     */
    public function filterByAreaName($val): self
    {
        $this->filterByColumn("area_name", $val);
        return $this;
    }

    public function setAreaName($val): self
    {
        $this->setAttr("area_name", $val);
        return $this;
    }

    public function getAreaName()
    {
        return $this->area_name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 parent_id 
     * ------------ 表字段注释: 
     */
    public function filterByParentId($val): self
    {
        $this->filterByColumn("parent_id", $val);
        return $this;
    }

    public function setParentId($val): self
    {
        $this->setAttr("parent_id", $val);
        return $this;
    }

    public function getParentId()
    {
        return $this->parent_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 deep 
     * ------------ 表字段注释: 
     */
    public function filterByDeep($val): self
    {
        $this->filterByColumn("deep", $val);
        return $this;
    }

    public function setDeep($val): self
    {
        $this->setAttr("deep", $val);
        return $this;
    }

    public function getDeep()
    {
        return $this->deep ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 short_name 
     * ------------ 表字段注释: 
     */
    public function filterByShortName($val): self
    {
        $this->filterByColumn("short_name", $val);
        return $this;
    }

    public function setShortName($val): self
    {
        $this->setAttr("short_name", $val);
        return $this;
    }

    public function getShortName()
    {
        return $this->short_name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 merge_name 
     * ------------ 表字段注释: 
     */
    public function filterByMergeName($val): self
    {
        $this->filterByColumn("merge_name", $val);
        return $this;
    }

    public function setMergeName($val): self
    {
        $this->setAttr("merge_name", $val);
        return $this;
    }

    public function getMergeName()
    {
        return $this->merge_name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 area_code 
     * ------------ 表字段注释: 
     */
    public function filterByAreaCode($val): self
    {
        $this->filterByColumn("area_code", $val);
        return $this;
    }

    public function setAreaCode($val): self
    {
        $this->setAttr("area_code", $val);
        return $this;
    }

    public function getAreaCode()
    {
        return $this->area_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 city 
     * ------------ 表字段注释: 
     */
    public function filterByCity($val): self
    {
        $this->filterByColumn("city", $val);
        return $this;
    }

    public function setCity($val): self
    {
        $this->setAttr("city", $val);
        return $this;
    }

    public function getCity()
    {
        return $this->city ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 province_code 
     * ------------ 表字段注释: 
     */
    public function filterByProvinceCode($val): self
    {
        $this->filterByColumn("province_code", $val);
        return $this;
    }

    public function setProvinceCode($val): self
    {
        $this->setAttr("province_code", $val);
        return $this;
    }

    public function getProvinceCode()
    {
        return $this->province_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 city_code 
     * ------------ 表字段注释: 
     */
    public function filterByCityCode($val): self
    {
        $this->filterByColumn("city_code", $val);
        return $this;
    }

    public function setCityCode($val): self
    {
        $this->setAttr("city_code", $val);
        return $this;
    }

    public function getCityCode()
    {
        return $this->city_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 zip_code 
     * ------------ 表字段注释: 
     */
    public function filterByZipCode($val): self
    {
        $this->filterByColumn("zip_code", $val);
        return $this;
    }

    public function setZipCode($val): self
    {
        $this->setAttr("zip_code", $val);
        return $this;
    }

    public function getZipCode()
    {
        return $this->zip_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 pinyin 
     * ------------ 表字段注释: 
     */
    public function filterByPinyin($val): self
    {
        $this->filterByColumn("pinyin", $val);
        return $this;
    }

    public function setPinyin($val): self
    {
        $this->setAttr("pinyin", $val);
        return $this;
    }

    public function getPinyin()
    {
        return $this->pinyin ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 initials 
     * ------------ 表字段注释: 
     */
    public function filterByInitials($val): self
    {
        $this->filterByColumn("initials", $val);
        return $this;
    }

    public function setInitials($val): self
    {
        $this->setAttr("initials", $val);
        return $this;
    }

    public function getInitials()
    {
        return $this->initials ?? null;
    }
    // ---------------------------------------------
    
}
